These are chat archives for nightscout/intend-to-bolus

27th
Aug 2015
diabeticgonewild
@diabeticgonewild
Aug 27 2015 00:33
I think JDRF walk is the better pick. Get to be around healthier and less sick people.
timomer
@timomer
Aug 27 2015 10:10
hey all, I am having a odd issue where I appear to have files missing under /static/bower_components/ (own server), anyone got a live nightscout instance they would not mind sharing with me so I can compare the dir with mine, ideally the dev branch - ta
Paul Andrel
@stavlor
Aug 27 2015 13:29
@timomer did you try a npm install
timomer
@timomer
Aug 27 2015 13:57
yep
all appears ok, but I have noticed d3/d3.min.js is missing
maybe others, want to check the static dir with another live instance
my setup is not a traditional setup, its on my own ubuntu box
Paul Andrel
@stavlor
Aug 27 2015 13:59
hmm, checking
timomer
@timomer
Aug 27 2015 14:00
if you sync to github would be fine for me to check - just need to see a clean static dir as an example
is a ls -laR of my static/bower_components
timomer
@timomer
Aug 27 2015 14:08
great, thanks
at all possible you can give me a ls of static dir?
i get a warning when loading the page that static/socket.io is missing
Paul Andrel
@stavlor
Aug 27 2015 14:10
sure
timomer
@timomer
Aug 27 2015 14:11
top man, thanks
hmm, you also dont have "bower_components/d3" are you running current dev? do you get a warning in your browser console that bower_components/d3/d3.min.js is missing?
think d3 isn't done by bower anymore my c-r-m is currently on nightscout/cgm-remote-monitor#854
which is essentially dev+some code
is all of static
wrong gist
timomer
@timomer
Aug 27 2015 14:16
cool thanks, you appear to have the same files missing as me
im having some very random behaviour on the server
Paul Andrel
@stavlor
Aug 27 2015 14:17
ah what kind of behavior?
timomer
@timomer
Aug 27 2015 14:17
only care portal enabled, could not load the site
Paul Andrel
@stavlor
Aug 27 2015 14:17
hmm
timomer
@timomer
Aug 27 2015 14:18
console was moaning that de.min.js was missing, I manually added it - then all fine
d3.min.js*
but, just removed it and not its fine
Paul Andrel
@stavlor
Aug 27 2015 14:18
what version of ubuntu is this on?
just cause i had simaler problems due to not having nodejs-legacy installed i think
timomer
@timomer
Aug 27 2015 14:19
14.04
yep, i think your right - maybe due to version miss-match somewhere
Paul Andrel
@stavlor
Aug 27 2015 14:19
root@ns:~/cgm-remote-monitor# cat /etc/issue
Ubuntu 14.04.3 LTS \n \l
timomer
@timomer
Aug 27 2015 14:20
if I add any other features than careportal, i get 404 when entering a treatment
snap - same
hmm, already have nodejs-legacy
all these issues started to happen about a week ago, i think after a sys update
Paul Andrel
@stavlor
Aug 27 2015 14:23
hmm so nodejs-legacy is installed hrmm
timomer
@timomer
Aug 27 2015 14:26
I get this warning with npm "npm WARN engine benv@1.1.0: wanted: {"node":">= 0.12.0"} (current: {"node":"v0.10.25","npm":"1.3.10"})"
Paul Andrel
@stavlor
Aug 27 2015 14:27
hmm
timomer
@timomer
Aug 27 2015 14:27
and "npm WARN deprecated buffer-browserify@0.1.0: Package not maintained. Recent browserify uses https://github.com/feross/buffer"
Paul Andrel
@stavlor
Aug 27 2015 14:27
node node_modules/bower/bin/bower --allow-root install say anything wierd
?
timomer
@timomer
Aug 27 2015 14:28
it runs fine, output warning:
Please note that,
tipsy-jmalonzo#1.0.1 depends on jquery#1.7.2 which resolved to jquery#1.7.2
jQuery-Storage-API#1.7.4 depends on jquery#>=1.4 which resolved to jquery#1.7.2
nightscout depends on jquery#2.1.0 which resolved to jquery#2.1.0
bootstrap#3.2.0 depends on jquery#>= 1.9.0 which resolved to jquery#2.1.0
Resort to using jquery#2.1.0 which resolved to jquery#2.1.0
Code incompatibilities may occur.
Paul Andrel
@stavlor
Aug 27 2015 14:28
hmm
timomer
@timomer
Aug 27 2015 14:29
other than that runs fine
im guessing if your box is up to date your running the same versions?
Paul Andrel
@stavlor
Aug 27 2015 14:34
believe so
is a npm list
timomer
@timomer
Aug 27 2015 14:39
what command did you run to get that list?
Paul Andrel
@stavlor
Aug 27 2015 14:39
npm list
timomer
@timomer
Aug 27 2015 14:39
lol
thanks :)
Paul Andrel
@stavlor
Aug 27 2015 14:39
from the cgm-remote-monitor directory
timomer
@timomer
Aug 27 2015 14:40
great, will do it in a sec - just about to insert a sensor into my arm for the first time and im freaking out a little
timomer
@timomer
Aug 27 2015 15:01
looks like your versions are different, im guessing thats the issue https://www.diffchecker.com/fldkvtki
on a few items im a version ahead
Paul Andrel
@stavlor
Aug 27 2015 15:14
hmm
Ali Mazaheri
@amazaheri
Aug 27 2015 16:44
Guys i think this discussion better to be moved to NightScout beta room so others can leverage, my 2 cents 😊
Paul Andrel
@stavlor
Aug 27 2015 17:23
Good point @amazaheri
Oliver Schumacher
@oschumac
Aug 27 2015 17:46
okay my mistake i thought. It woud be some kind of visu.
timomer
@timomer
Aug 27 2015 18:52
Apologies, thought this thread was for Dev branch conversions